| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
AboutDialog Class Reference

The About Wireshark dialog. More...

`#include <about_dialog.h>`

Inheritance diagram for AboutDialog:

## Public Member Functions
| AboutDialog (QWidget *parent=0)
| Construct an AboutDialog.
virtual | ~AboutDialog ()
| Destructor.

## Protected Member Functions
virtual bool | event (QEvent *event) override
| Handle application-level events such as palette or font changes.
virtual void | showEvent (QShowEvent *event) override
| Populate dynamic content the first time the dialog is shown.
const char * | getVCSVersion ()
| Return the VCS (Git) revision string embedded at build time.
QLabel * | labelLogo () const
| Return the logo QLabel widget.
QLabel * | labelTitle () const
| Return the application title QLabel widget.
QTabWidget * | tabWidget () const
| Return the main QTabWidget containing all About tabs.
QWidget * | tabWireshark () const
| Return the "Wireshark" summary tab widget.

## Detailed Description

The About Wireshark dialog.

## Constructor & Destructor Documentation

## ◆ AboutDialog()

AboutDialog::AboutDialog | ( | QWidget * | parent = 0 | ) |
| explicit

Construct an AboutDialog.

Parameters

  parent | The parent widget; nullptr for a top-level dialog.

## Member Function Documentation

## ◆ event()

bool AboutDialog::event | ( | QEvent * | event | ) |
| override protected virtual

Handle application-level events such as palette or font changes.

Parameters

  event | The event to process.

Returns
  true if the event was recognised and consumed; false to propagate it to the base class.

## ◆ getVCSVersion()

const char * AboutDialog::getVCSVersion | ( |  | ) |
| protected

Return the VCS (Git) revision string embedded at build time.

Returns
  A static string of the form `"v4.x.y-NNN-gHHHHHHHH"`, or an empty string if version information was not embedded.

## ◆ showEvent()

void AboutDialog::showEvent | ( | QShowEvent * | event | ) |
| override protected virtual

Populate dynamic content the first time the dialog is shown.

Parameters

  event | The show event.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/about_dialog.h
- /builds/wireshark/wireshark/ui/qt/about_dialog.cpp